# Method: orgunits.insert

Adds an organizational unit.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/customer/{customerId}/orgunits`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` The unique ID for the customer's Google Workspace account. As an account administrator, you can also use the `my_customer` alias to represent your account's `customerId`. The `customerId` is also returned as part of the [Users resource](https://developers.google.com/workspace/admin/directory/v1/reference/users). |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/orgunits#OrgUnit`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/admin/directory/reference/rest/v1/orgunits#OrgUnit`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://apps-apis.google.com/a/feeds/policies/`
- `
  https://www.googleapis.com/auth/admin.directory.orgunit`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).